<?php session_start();

include("lib/config.php");
include("lib/conexao_sinsweb.php");
include("funcoes.inc");

if ($_SESSION[cnpj]=="")
  	{
	  $_SESSION[cnpj]=$_POST[fCnpj];
	  $_SESSION[tipo]=$_POST[dTipo];
	}
else if ($_SESSION[cnpj]!=$_POST[fCnpj])
  {$_SESSION[cnpj]=$_POST[fCnpj];}

if ($_SESSION[ACAO]=='IMPRIME')
	{VerificaProtocolo();}	 
else	
if ($_SESSION[ACAO]=='CANCELA')
	{VerificaProtocolo();}	 
else	
if ($_GET[ACAO]=='CANCELA')
	{ 
	  $_SESSION[cnpj]=$_GET[cnpj];
     header("Location:cancelar.php");
	}
else 
if ($_SESSION[ACAO]=='ALTERA')
	{ AlteraEmpresa();}
else 
if ($_SESSION[ACAO]=='GRAVA')
	{
	InsereEmpresa();
	VerificaSegmento();
	}
else 
if ($_SESSION[ACAO]=='AGENDA')
	{
	$_SESSION[trabalhador_nome]		=$_POST[ftrabalhador_nome];
	$_SESSION[trabalhador_cpf]		=$_POST[ftrabalhador_cpf];
	$_SESSION[trabalhador_funcao]	=$_POST[ftrabalhador_funcao];
	$_SESSION[responsavel_nome]		=$_POST[fresponsavel_nome];
	$_SESSION[responsavel_telefone]	=$_POST[fresponsavel_telefone];
	$_SESSION[responsavel_tipo]		=$_POST[fresponsavel_tipo];

	$local = explode("-", $_POST['listLocais']);
	$_SESSION[cod_local]=$local[0];
	$_SESSION[local]=$local[1];

    TestaAgenda();
	}
else 
if ($_SESSION[ACAO]=='COMPROVANTE')
	{
	$_SESSION[data_agendamento] = $_POST["estado"];
	header("Location:comprovante.php","_top");
	}
else
{BuscaCNPJ();}	

function VerificaSegmento()
	{
	$query=mysql_query("SELECT cnae.atividade_principal, empresa.*, 
						entidade_sindical_seg_cnae.cod_segmento_entidade as cod_segmento
						FROM empresa
						LEFT join cnae on (empresa.cnae = cnae.cod_cnae)
						INNER join entidade_sindical_seg_cnae on (empresa.cnae = entidade_sindical_seg_cnae.cod_cnae)
						WHERE empresa.cnpj = '$_SESSION[cnpj]'")
		or die (header("Location:erro.php?txtmensagem="."ERRO NA LEITURA DA EMPRESA"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
 	{
		$codSegmento=mysql_result($query,$i,"cod_segmento");
		if ($codSegmento==0) // Setor de SERVIÇOS é de qualquer cidade
  		{header("Location:gerar.php");}
		else
		{VerificaBaseTerritorial();}
	}
   	else
	{NaoEnquadra();}
		
}


function VerificaBaseTerritorial()
	{
		// Verifica se o sindicato representa essa cidade no Setor de COMÉRCIO
	$query=mysql_query("SELECT empresa.*
						FROM empresa
						INNER join entidade_sindical_base_cidades on (empresa.cidade = entidade_sindical_base_cidades.cidade)
						WHERE empresa.cnpj = '$_SESSION[cnpj]'")
		or die (header("Location:erro.php?txtmensagem="."ERRO NA LEITURA DA EMPRESA"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
 	  {header("Location:gerar.php");}
   	else
	{NaoEnquadra();}
		
}


function BuscaCNPJ()
	{
	$query=mysql_query("SELECT cnae.atividade_principal, empresa.*
						FROM empresa
						LEFT join cnae on (empresa.cnae = cnae.cod_cnae)
						WHERE empresa.cnpj ='$_SESSION[cnpj]'");
    $num_rows = mysql_num_rows($query);

    if($num_rows>=1)
 	   {
			$_SESSION[tipo]=mysql_result($query,$i,"empresa.jf");
			$_SESSION[nome]=mysql_result($query,$i,"empresa.nome");
			$_SESSION[endereco]=mysql_result($query,$i,"empresa.endereco");
			$_SESSION[numero]=mysql_result($query,$i,"empresa.numero");
			$_SESSION[complemento]=mysql_result($query,$i,"empresa.complemento");
			$_SESSION[bairro]=mysql_result($query,$i,"empresa.bairro");
			$_SESSION[cep]=mysql_result($query,$i,"empresa.cep");
			$_SESSION[cidade]=mysql_result($query,$i,"empresa.cidade");
			$_SESSION[uf]=mysql_result($query,$i,"empresa.uf");
			$_SESSION[telefone]=mysql_result($query,$i,"empresa.telefone");
			$_SESSION[cnae]=mysql_result($query,$i,"empresa.cnae");
			$_SESSION[atividade_principal]=mysql_result($query,$i,"atividade_principal");
			if ($_SESSION[atividade_principal] == '')
			{header("Location:erro.php?txtmensagem=".$_SESSION[cnpj]." o CNAE informado $_SESSION[cnae] no cadastro da empresa nao existe em nossa base de dados: <BR><BR><a href='empresas.php' target = 'dentro'>Verifique se foi digitado corretamente clique aqui</a><BR><BR>ou entre em contato pelo telefone $telefone_sindicato e informe ao setor de homologacao");}
			else
		    {VerificaSegmento();}
		}
	  else
		  {
		  $_SESSION[ACAO]='GRAVA';
		  if ($_SESSION[tipo]=='')
			{header("Location:inicio.php");}
		  else
			{header("Location:empresas.php");}
		  }
}

function InsereEmpresa()
	{
	$data=date('Y-m-d H:i');
	$cnae=$_POST[fCNAE];
	$cnae=preg_replace("/[^0-9]/","", $cnae);
	$query=mysql_query("insert empresa(cnpj,jf,nome,endereco,numero,complemento,cep,bairro,cidade,uf,cnae,email,telefone,contador,alterado)
values('$_SESSION[cnpj]','$_SESSION[tipo]','$_POST[fNome]','$_POST[fEndereco]','$_POST[fNumero]','$_POST[fComplemento]','$_POST[fCEP]','$_POST[fBairro]','$_POST[fCidade]','$_POST[fUF]','$cnae',NULL,'$_POST[fTelefone]',NULL,'$data')")
		or die (header("Location:erro.php?txtmensagem="."ERRO NA GRAVACAO DA EMPRESA"));
	BuscaCNPJ();	
	}



function AlteraEmpresa()
	{
	$data=date('Y-m-d H:i');
	$cnae=$_POST[fCNAE];
	$cnae=preg_replace("/[^0-9]/","", $cnae);
	$query=mysql_query("UPDATE empresa 
						SET jf='$_SESSION[tipo]', nome='$_POST[fNome]', endereco='$_POST[fEndereco]', 
						numero='$_POST[fNumero]', complemento='$_POST[fComplemento]',
						cep='$_POST[fCEP]', bairro='$_POST[fBairro]', cidade='$_POST[fCidade]', uf='$_POST[fUF]', 
						cnae='$cnae', telefone='$_POST[fTelefone]', alterado='$data'
	                    WHERE cnpj='$_SESSION[cnpj]'")
		or die (header("Location:erro.php?txtmensagem="."ERRO NA ATUALIZAÇÃO DA EMPRESA"));
	BuscaCNPJ();	
	}

function TestaAgenda()
	{
	$query=mysql_query("SELECT * FROM agendamento where empresa = '$_SESSION[cnpj]' and trabalhador_cpf = '$_SESSION[trabalhador_cpf]' and cod_cancelamento = 0")
		or die (header("Location:erro.php?txtmensagem="."ERRO NA LEITURA DA HOMOLOGACAO"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
 	   {header("Location:mensagem.php?txtmensagem="."Ja foi feito um agendamento<BR><BR>desta EMPRESA para este TRABALHADOR-CPF  <BR><BR> Cancele o anterior para conseguir remarcar");}
   	 else
	 {header("Location:index_horarios.php");}		
}

function VerificaCancelamento()
	{
	
    $query=mysql_query("SELECT * FROM cancelamento where cancelamento.codigo = ".$_SESSION[cod_cancelamento]);
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
	{
	  $_SESSION[num_agendamento]=mysql_result($query,$i,"cancelamento.cod_agendamento");
	  $_SESSION[data_cancelamento]=mysql_result($query,$i,"cancelamento.data");
	  $_SESSION[obs_cancelamento]=mysql_result($query,$i,"cancelamento.observacao");
	  $_SESSION[reponsavel_nome]=mysql_result($query,$i,"cancelamento.nome");
	
	  {header("Location:comprovante_can.php");}
	}

}


function VerificaProtocolo()
	{
	$query=mysql_query("SELECT agendamento.*, datas_homologacao.cod_local, locais.endereco, empresa.cnpj,empresa.nome,empresa.cidade,empresa.uf, empresa.cnae,cnae.atividade_principal
	                    FROM agendamento 
						INNER JOIN empresa on (agendamento.empresa = empresa.cnpj)
						INNER JOIN cnae on (empresa.cnae = cnae.cod_cnae)
						INNER JOIN datas_homologacao on (agendamento.cod_datas_homologacao = datas_homologacao.codigo)
						INNER JOIN locais on (datas_homologacao.cod_local = locais.codigo)
						WHERE agendamento.codigo = $_POST[fprotocolo] and agendamento.trabalhador_cpf = $_POST[ftrabalhador_cpf]")
		or die (header("Location:erro.php?txtmensagem="."NAO EXISTE AGENDAMENTO COM ESSA COMBINACAO: <BR>PROTOCOLO:$_POST[fprotocolo]<BR> CPF:$_POST[ftrabalhador_cpf]"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
	{
	  $_SESSION[num_agendamento]=mysql_result($query,$i,"agendamento.codigo");
	  $_SESSION[data_agendamento]=mysql_result($query,$i,"agendamento.data_hora");
	  $_SESSION[hora_agendamento]=mysql_result($query,$i,"agendamento.data_hora");
	  $_SESSION[cnpj]=mysql_result($query,$i,"empresa.cnpj");
	  $_SESSION[trabalhador_cpf]=mysql_result($query,$i,"agendamento.trabalhador_cpf");
	  $_SESSION[trabalhador_nome]=mysql_result($query,$i,"agendamento.trabalhador_nome");
	  $_SESSION[responsavel_nome]=mysql_result($query,$i,"agendamento.responsavel_nome");
	  $_SESSION[responsavel_telefone]=mysql_result($query,$i,"agendamento.responsavel_telefone");
	  $_SESSION[nome]=mysql_result($query,$i,"empresa.nome");
	  $_SESSION[endereco]=mysql_result($query,$i,"empresa.endereco");
	  $_SESSION[numero]=mysql_result($query,$i,"empresa.numero");
	  $_SESSION[complemento]=mysql_result($query,$i,"empresa.complemento");
	  $_SESSION[bairro]=mysql_result($query,$i,"empresa.bairro");
	  $_SESSION[cep]=mysql_result($query,$i,"empresa.cep");
	  $_SESSION[cidade]=mysql_result($query,$i,"empresa.cidade");
	  $_SESSION[uf]=mysql_result($query,$i,"empresa.uf");
	  $_SESSION[telefone]=mysql_result($query,$i,"empresa.telefone");
	  $_SESSION[cnae]=mysql_result($query,$i,"empresa.cnae");
	  $_SESSION[atividade_principal]=mysql_result($query,$i,"cnae.atividade_principal");
	  $_SESSION[cod_cancelamento]=mysql_result($query,$i,"agendamento.cod_cancelamento");
	  $_SESSION[cod_local]=mysql_result($query,$i,"datas_homologacao.cod_local");
	  $_SESSION[local_atendimento]=mysql_result($query,$i,"locais.endereco");
	  
	  $_SESSION[script_data_hora]=' insert datas_homologacao(cod_local, data_hora) value ('.$_SESSION[cod_local].', '."'".$_SESSION[data_agendamento]."'".')';
	  $data_selecionada=$_SESSION[data_agendamento];
	  $data_selecionada=strtotime($data_selecionada);
	  $_SESSION[data_agendamento_imp]=date("d/m/Y",$data_selecionada);

	  $hora_selecionada=$_SESSION[data_agendamento];
	  $hora_selecionada=strtotime($hora_selecionada);
	  $_SESSION[hora_agendamento_imp]=date("H:i",$hora_selecionada);
  	  

	  if ($_SESSION[ACAO]=='IMPRIME')
	  {header("Location:comprovante.php","_top");}
	  else
	  if ($_SESSION[ACAO]=='CANCELA')
	  {CancelaAgenda();}
	  else
	  {header("Location:inicio.php");}
	}
}

function NaoEnquadra()
	{
	$data=date('Y-m-d H:i');
	$query=mysql_query("insert nao_enquadra(empresa,cnae,data) values('$_SESSION[cnpj]','$_SESSION[cnae]','$data')")
		or die (header("Location:erro.php?txtmensagem="."ERRO ao gravar o NAO ENQUADRA"));
    header("Location:nao_enquadra.php");
	}

function CancelaAgenda()
{
$data=date('Y-m-d H:i');
$_SESSION[obs_cancelamento]=$_POST[observacao];
$query=mysql_query(" INSERT cancelamento(data, usuario, observacao, nome, cod_agendamento) VALUES('$data', 0,'$_POST[observacao]', '$_POST[responsavel_nome]', $_SESSION[num_agendamento])")
	or die (header("Location:erro.php?txtmensagem="."ERRO NO CANCELAMENTO DO AGENDAMENTO<BR> <BR>FECHE SEU NAVEGADOR <BR> E INICIE O PROCESSO NOVAMENTE POR FAVOR!"));

//pegando o ID gerado pela consulta anterior
$_SESSION[num_cancelamento] = mysql_insert_id(); 
$query=mysql_query("UPDATE agendamento SET cod_cancelamento = $_SESSION[num_cancelamento] WHERE codigo = $_SESSION[num_agendamento]")
	or die (header("Location:erro.php?txtmensagem="."ERRO<br>Codigo Cancelamento= $_SESSION[num_cancelamento]<br>Agendamento=$_SESSION[num_agendamento]"));

$query=mysql_query($_SESSION[script_data_hora])
	or die (header("Location:erro.php?txtmensagem="."ERRO AO DISPONIBILIZAR O HORARIO DE AGENDAMENTO NOVAMENTE<br>SCRIPT=$_SESSION[script_data_hora]"));

header("Location:comprovante_can.php","_top");
}



?>